﻿using System;
using System.Collections.Generic;

namespace ContactManager.Data
{
    public class Person
    {
        public Person()
        {
            Phones = new HashSet<Phone>();
            Companies = new HashSet<PersonCompany>();
        }

        public int PersonId { get; set; }
        public int PersonTypeId { get; set; }
        public virtual PersonType PersonType { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public DateTime? BirthDate { get; set; }
        public bool IsActive { get; set; }
        public virtual ICollection<Phone> Phones { get; set; }
        public virtual ICollection<PersonCompany> Companies { get; set; }

    }

}
