﻿import {Directive, ElementRef, Renderer} from 'angular2/core';
@Directive({
    selector: '[makeLarge]',
     host: {
        '(mouseenter)': 'makeLarger()',
        '(mouseleave)': 'makeNormal()'  
    },
     inputs: ["makeLarge"]
})
export class MakeLarge {
    makeLarge: string;
    constructor(private _element: ElementRef, private _renderer: Renderer) {


    }
    makeLarger() {
        this._renderer.setElementStyle(this._element, 'font-size', '200%');
        this._renderer.setElementStyle(this._element, 'color', (this.makeLarge || 'blue'));
    }
    makeNormal() {
        this._renderer.setElementStyle(this._element, 'font-size', '100%');
        this._renderer.setElementStyle(this._element, 'color', undefined);
    }
}