﻿import {Pipe, PipeTransform} from 'angular2/core';

@Pipe({ name: 'shorten' })
export class Shorten implements PipeTransform {
    transform(value: string, args: string[]): any {
        var maxSize = 10;
        if (args && args.length > 0) {
            maxSize = parseInt(args[0]);
        }
        if (value.length > maxSize) {
            return value.substr(0, maxSize) + '...';
        }
        return value;
    }
}