System.register(['angular2/core', './contactTypeListItem', './contactTypeService'], function(exports_1) {
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, contactTypeListItem_1, contactTypeService_1;
    var ContactTypesList;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (contactTypeListItem_1_1) {
                contactTypeListItem_1 = contactTypeListItem_1_1;
            },
            function (contactTypeService_1_1) {
                contactTypeService_1 = contactTypeService_1_1;
            }],
        execute: function() {
            ContactTypesList = (function () {
                function ContactTypesList(_contactTypeService) {
                    var _this = this;
                    this._contactTypeService = _contactTypeService;
                    this.processData = function (data) {
                        _this.contactTypes = data;
                    };
                    this._contactTypeService.contactTypes.subscribe(this.processData);
                }
                ContactTypesList.prototype.ngOnInit = function () {
                    this._contactTypeService.getAll();
                };
                ContactTypesList = __decorate([
                    core_1.Component({
                        selector: 'contact-types',
                        template: "\n<h1>Contact Types</h1>\n<ul class=\"list-group\">\n  <contact-types-item *ngFor=\"#item of contactTypes\" [contactType]=\"item\">\n  </contact-types-item>\n</ul>\n    ",
                        directives: [contactTypeListItem_1.ContactTypeListItem],
                        providers: [contactTypeService_1.ContactTypeService]
                    }), 
                    __metadata('design:paramtypes', [contactTypeService_1.ContactTypeService])
                ], ContactTypesList);
                return ContactTypesList;
            })();
            exports_1("ContactTypesList", ContactTypesList);
        }
    }
});
//# sourceMappingURL=ContactTypesList.js.map