﻿
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ContactManager.Data
{
    public class Company
    {
        public Company()
        {
            Persons = new HashSet<PersonCompany>();
        }
        public int CompanyId { get; set; }
        [Required]
        public string CompanyName { get; set; }
        public string Street { get; set; }
        public string City { get; set; }
        public string State { get; set; }
        public string Zip { get; set; }
        public virtual ICollection<PersonCompany> Persons { get; set; }
    }
}
