﻿using System.ComponentModel.DataAnnotations;

namespace ContactManager.Models
{
    public class Phone
    {
        public int PhoneId { get; set; }
        [Required(ErrorMessage = "Type name is required")]
        [MaxLength(15, ErrorMessage = "Phone cannot be longer than 15 characters")]
        public string PhoneNumber { get; set; }
        public int PersonId { get; set; }
    }
}
