﻿import { Injectable } from 'angular2/core';
import { EventEmitter } from 'angular2/core';
import { Configuration } from '../shell/configuration';
import { HTTP_PROVIDERS, Http } from 'angular2/http';

import IPersonType = App.Models.IPersonType;
@Injectable()
export class ContactTypeService {

    contactTypes: EventEmitter<IPersonType[]>;

    constructor(private _configuration: Configuration, private _http: Http) {
        this.contactTypes = new EventEmitter<IPersonType[]>();
    }

    getAll(): void {
        this._http.get(this._configuration.config.rootUrl + "api/persontypes").subscribe(
            (result) => {
                this.contactTypes.emit(result.json());
            },
            (error) => {
                alert(error.statusText);
            });
    }
}
