System.register(['angular2/core', '../commonDirectives/makeLarge', '../commonPipes/shorten'], function(exports_1) {
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, makeLarge_1, shorten_1;
    var ContactTypeListItem;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (makeLarge_1_1) {
                makeLarge_1 = makeLarge_1_1;
            },
            function (shorten_1_1) {
                shorten_1 = shorten_1_1;
            }],
        execute: function() {
            ContactTypeListItem = (function () {
                function ContactTypeListItem() {
                }
                ContactTypeListItem.prototype.clicked = function (contactType) {
                    alert(contactType.TypeName);
                };
                ContactTypeListItem = __decorate([
                    core_1.Component({
                        selector: 'contact-types-item',
                        template: "\n  <li class=\"list-group-item\" makeLarge=\"red\">\n    <button class=\"btn btn-default edit-button-with-label\" (click)=\"clicked(contactType)\">Edit</button><span>{{contactType.TypeName | shorten: 6}} </span>\n  </li>\n    ",
                        inputs: ["contactType"],
                        directives: [makeLarge_1.MakeLarge],
                        pipes: [shorten_1.Shorten],
                        styles: ["\n        .edit-button-with-label {\n            margin-right: 10px;\n            font-size: inherit;\n        }\n"]
                    }), 
                    __metadata('design:paramtypes', [])
                ], ContactTypeListItem);
                return ContactTypeListItem;
            })();
            exports_1("ContactTypeListItem", ContactTypeListItem);
        }
    }
});
//# sourceMappingURL=ContactTypeListItem.js.map