System.register(['angular2/core', '../shell/configuration', 'angular2/http'], function(exports_1) {
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, core_2, configuration_1, http_1;
    var ContactTypeService;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
                core_2 = core_1_1;
            },
            function (configuration_1_1) {
                configuration_1 = configuration_1_1;
            },
            function (http_1_1) {
                http_1 = http_1_1;
            }],
        execute: function() {
            ContactTypeService = (function () {
                function ContactTypeService(_configuration, _http) {
                    this._configuration = _configuration;
                    this._http = _http;
                    this.contactTypes = new core_2.EventEmitter();
                }
                ContactTypeService.prototype.getAll = function () {
                    var _this = this;
                    this._http.get(this._configuration.config.rootUrl + "api/persontypes").subscribe(function (result) {
                        _this.contactTypes.emit(result.json());
                    }, function (error) {
                        alert(error.statusText);
                    });
                };
                ContactTypeService = __decorate([
                    core_1.Injectable(), 
                    __metadata('design:paramtypes', [configuration_1.Configuration, http_1.Http])
                ], ContactTypeService);
                return ContactTypeService;
            })();
            exports_1("ContactTypeService", ContactTypeService);
        }
    }
});
//# sourceMappingURL=ContactTypeService.js.map