﻿import {Component} from 'angular2/core';
import {ContactTypesList} from '../contactTypes/contactTypesList' ;

@Component({
    selector: 'app-shell',
    template: `
<h1>Contact manager {{name}}</h1>
<contact-types></contact-types>
    `,
    directives: [ContactTypesList]
})
export class Main {
    name: string;
    constructor() {
        this.name = "Angular 2 developer";
    }
    say() {
        alert(`Hello from ${this.name}`);
    }
}